Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(10)

Issue 2964313002: Converts accNavigate over to the AXPlatformNode code. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
3 weeks ago by dougt
Modified:
1 week, 3 days ago
Reviewers:
dmazzoni
CC:
chromium-reviews, aboxhall+watch_chromium.org, nektar+watch_chromium.org, jam, yuzo+watch_chromium.org, dougt+watch_chromium.org, darin-cc_chromium.org, aleventhal+watch_chromium.org, dtseng+watch_chromium.org, tfarina, je_julie, dmazzoni+watch_chromium.org
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Converts accNavigate over to the AXPlatformNode code. This CL switches accNavigate completely over to the AXPlatformNode code. It also moves the table handling code from BrowserAccessibility to AXPlatformNodeBase. BUG=703369 Review-Url: https://codereview.chromium.org/2964313002 Cr-Commit-Position: refs/heads/master@{#485887} Committed: https://chromium.googlesource.com/chromium/src/+/9344ce7d3f2fe16e08af9a0902423d5d3b27a34c

Patch Set 1 #

Patch Set 2 : rebase #

Patch Set 3 : rebase #

Patch Set 4 : rebase #

Total comments: 2

Patch Set 5 : are -> is #

Unified diffs Side-by-side diffs Delta from patch set Stats (+385 lines, -284 lines) Patch
M content/browser/accessibility/browser_accessibility.h View 1 2 3 4 2 chunks +1 line, -46 lines 0 comments Download
M content/browser/accessibility/browser_accessibility.cc View 1 2 3 4 2 chunks +6 lines, -110 lines 0 comments Download
M content/browser/accessibility/browser_accessibility_com_win.cc View 1 2 3 4 24 chunks +87 lines, -121 lines 0 comments Download
M content/browser/accessibility/browser_accessibility_win.h View 1 chunk +1 line, -0 lines 0 comments Download
M content/browser/accessibility/browser_accessibility_win.cc View 2 chunks +13 lines, -0 lines 0 comments Download
M ui/accessibility/platform/ax_platform_node_base.h View 1 chunk +57 lines, -1 line 0 comments Download
M ui/accessibility/platform/ax_platform_node_base.cc View 3 chunks +138 lines, -0 lines 0 comments Download
M ui/accessibility/platform/ax_platform_node_delegate.h View 1 chunk +2 lines, -0 lines 0 comments Download
M ui/accessibility/platform/ax_platform_node_win.cc View 1 2 3 4 3 chunks +62 lines, -6 lines 0 comments Download
M ui/accessibility/platform/ax_system_caret_win.h View 1 3 1 chunk +1 line, -0 lines 0 comments Download
M ui/accessibility/platform/ax_system_caret_win.cc View 1 2 3 1 chunk +4 lines, -0 lines 0 comments Download
M ui/accessibility/platform/test_ax_node_wrapper.h View 1 chunk +1 line, -0 lines 0 comments Download
M ui/accessibility/platform/test_ax_node_wrapper.cc View 1 chunk +4 lines, -0 lines 0 comments Download
M ui/views/accessibility/native_view_accessibility_auralinux.cc View 1 chunk +2 lines, -0 lines 0 comments Download
M ui/views/accessibility/native_view_accessibility_base.h View 1 chunk +1 line, -0 lines 0 comments Download
M ui/views/accessibility/native_view_accessibility_base.cc View 1 2 2 chunks +5 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Dependent Patchsets:

Messages

Total messages: 18 (13 generated)
dougt
dmazzoni, ptal.
3 weeks ago (2017-07-01 04:17:26 UTC) #8
dmazzoni
lgtm Might be worth manually testing this with JAWS and NVDA. In browse mode you ...
2 weeks, 1 day ago (2017-07-06 23:07:48 UTC) #11
dougt
Tested with both nvda and jaws. Was able to navigate tables without issue. https://codereview.chromium.org/2964313002/diff/60001/ui/accessibility/platform/ax_platform_node_win.cc File ...
1 week, 3 days ago (2017-07-11 23:21:55 UTC) #12
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2964313002/80001
1 week, 3 days ago (2017-07-12 05:12:25 UTC) #15
commit-bot: I haz the power
1 week, 3 days ago (2017-07-12 07:17:31 UTC) #18
Message was sent while issue was closed.
Committed patchset #5 (id:80001) as
https://chromium.googlesource.com/chromium/src/+/9344ce7d3f2fe16e08af9a090242...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 25c286973